List dashboards in a folder
curl --request GET \
--url https://v1.api.altostrat.io/metrics/dashboards/{folderName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/metrics/dashboards/{folderName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/metrics/dashboards/{folderName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder_name": "radius",
"dashboards": [
{
"uid": "router_system_metrics",
"slug": "router-system-metrics",
"title": "Router system metrics",
"url": "<string>",
"tags": [
"<string>"
],
"folder_title": "SDX",
"query_url": "/metrics/dashboards/router_system_metrics/query",
"variables": [
{
"name": "Site",
"label": "Site",
"type": "query",
"query": "<string>",
"multi": false,
"includeAll": false,
"allValue": null,
"current": null
}
],
"panels": [
{
"id": 12,
"title": "CPU load",
"type": "timeseries",
"gridPos": {}
}
]
}
]
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Grafana Dashboards
List dashboards in a folder
Lists Grafana dashboards from a specific folder.
GET
/
metrics
/
dashboards
/
{folderName}
List dashboards in a folder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Grafana folder name.
Example:
"radius"
Was this page helpful?
⌘I